body{
background:#050516;
color:white;
font-family:Arial;
margin:0;
text-align:center;
}

header{
padding:15px;
}

.logo{
height:40px;
}

.container{
padding:20px;
max-width:420px;
margin:auto;
}

.box{
width:200px;
height:200px;
margin:40px auto;
border-radius:50%;
display:flex;
align-items:center;
justify-content:center;
cursor:pointer;
position:relative;

/* glowing ring */

background:radial-gradient(circle,#0f0,#030);
box-shadow:
0 0 20px #00ff00,
0 0 40px #00ff00,
0 0 80px #00ff00;

animation:pulse 2s infinite;
}

/* glow animation */

@keyframes pulse{

0%{
box-shadow:0 0 20px #00ff00;
}

50%{
box-shadow:0 0 50px #00ff00,0 0 90px #00ff00;
}

100%{
box-shadow:0 0 20px #00ff00;
}

}

.box-logo{
width:90px;
transition:transform 0.5s;
}
.winner-table{
width:100%;
max-width:600px;
margin:30px auto;
border-collapse:collapse;
color:white;
}

.winner-table th{
background:#ff9800;
padding:10px;
}

.winner-table td{
border:1px solid #444;
padding:8px;
text-align:center;
background:#0b0b2a;
}

/* rotate logo */

.rotate{
animation:spin 1s linear infinite;
}

@keyframes spin{

0%{transform:rotate(0deg);}
100%{transform:rotate(360deg);}

}

/* shake animation */

.shake{
animation:shake 0.4s infinite;
}

@keyframes shake{

0%{transform:rotate(0)}
25%{transform:rotate(4deg)}
50%{transform:rotate(-4deg)}
75%{transform:rotate(4deg)}
100%{transform:rotate(0)}

}

input{
width:100%;
padding:12px;
font-size:16px;
border-radius:6px;
border:none;
margin-top:10px;
}

button{
width:100%;
padding:12px;
margin-top:10px;
font-size:16px;
cursor:pointer;
background:#ff9800;
border:none;
border-radius:6px;
font-weight:bold;
}

#result{
margin-top:30px;
font-size:26px;
}

#note{
margin-top:10px;
font-size:14px;
color:#ccc;
}

/* mobile */

@media (max-width:480px){

.box{
width:160px;
height:160px;
}

.box-logo{
width:70px;
}
.winner-running{
background:#0b1a3a;
color:#ffd700;
padding:8px;
font-size:14px;
font-weight:bold;
border-top:1px solid #333;
border-bottom:1px solid #333;
}
}